DiscoveryManager (Siena 2.0.4 API Documentation)
Date: 2015-05-17

siena

## Class DiscoveryManager

- java.lang.Object
- - java.lang.Thread
  - - siena.DiscoveryManager

- All Implemented Interfaces:
    java.lang.Runnable

      public class DiscoveryManager
      extends java.lang.Thread

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DEFAULT_DISCOVERY_MULTICAST_ADDRESS`
    `static int` | `DEFAULT_DISCOVERY_MULTICAST_PORT`
    `java.net.MulticastSocket` | `ms`

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiscoveryManager(DVDRPDispatcher server)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `finalize()`
    `void` | `run()`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_DISCOVERY_MULTICAST_ADDRESS

          public static java.lang.String DEFAULT_DISCOVERY_MULTICAST_ADDRESS

    - #### DEFAULT_DISCOVERY_MULTICAST_PORT

          public static int DEFAULT_DISCOVERY_MULTICAST_PORT

    - #### ms

          public java.net.MulticastSocket ms

  - ### Constructor Detail

    - #### DiscoveryManager

          public DiscoveryManager(DVDRPDispatcher server)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`

Copyright © 2000-2005 University of Colorado.
Copyright © 2005-2011 Antonio Carzaniga.
This documentation is maintained by Antonio Carzaniga